Bug 16140 - No rpmsave for customized httpd.conf
Summary: No rpmsave for customized httpd.conf
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-14 01:18 UTC by Willem Riede
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 14:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Willem Riede 2000-08-14 01:18:35 UTC
The upgrade failed to preserve my custom httpd.conf file! (long live
backups)
You should make a .rpmsave file.

Comment 1 Nalin Dahyabhai 2000-08-15 21:00:53 UTC
Which release were you upgrading from?  Was the previous Apache installation
done via RPM?

Comment 2 Willem Riede 2000-08-15 23:26:26 UTC
I upgraded from RedHat 6.1, the apache rpm that was installed was
apache-1.3.9-8.i386.rpm (from updates).




Comment 3 Nalin Dahyabhai 2000-08-20 04:19:07 UTC
I'm not sure how this could happen.  The httpd.conf file is properly tagged as a
configuration file, which should cause RPM to copy Which version of RPM are you
using for the update?

Comment 4 Willem Riede 2000-08-20 14:57:13 UTC
The one from the pinstripe iso image: 4.0-0.59

Comment 5 Henri Schlereth 2000-08-20 17:12:50 UTC
Unable to duplicate until I hit a semi-live system. Work in progress.

Comment 6 Henri Schlereth 2000-08-20 17:19:04 UTC
This should really be set to an .rpmnew at a minimum. There are many httpd.conf files that include such things as frontpage and
mod_frontpage that the existing htttpd.conf must be preserved at all costs, with some kind of heads up to change over to
FHS standards. I am scheduling an upgrade the w/e on a secondary live system to see what happens.

Henri J.Schlereth
RedHat Beta Team


Note You need to log in before you can comment on or make changes to this bug.